<?php
require'fun.php';
require'f_conectare.php';
conectare('editeaza nume trib (triburile v2)','triburile2-editeaza-nume-trib');
$titlu='Editeaza nume trib - Triburile V2';
$back[1]='<a href="/triburile2">'.img('triburile.gif',1).'Triburi</a>';
require'f_sus.php';
require'triburile2_nicu1.php';
if($pmtext!='')
{
$desc=$_POST['desc'];
$fop=$conn->query('SELECT COUNT(*)FROM`t2_triburi`WHERE`nume`="'.$pmtext.'"&&`de`!="'.$de.'"')->fetch_row();
$toe=$conn->query('SELECT`nume`FROM`t2_triburi`WHERE`de`="'.$de.'"')->fetch_row();
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='Nume trib - Triburile V2';
$text=$pmtext;
require'f_ban.php';
}
elseif(blocat($desc))
{
$tip='Descriere trib - Triburile V2';
$text=$desc;
require'f_ban.php';
}
elseif(mb_strlen($pmtext)<3)
echo$div[7].'Nume prea scurt pentru trib!';
elseif($fop[0])
echo$div[7].'Este adăugat un trib cu acest nume!';
else
{
$items=$conn->query('SELECT`trib`,`id`FROM`t2_membrii`WHERE`trib`="'.$toe[0].'"');
while($item=$items->fetch_row())
{
$conn->query('UPDATE`t2_membrii`SET`trib`="'.$pmtext.'"WHERE`id`="'.$item[1].'"');
}
echo($conn->query('UPDATE`t2_triburi`SET`desc`="'.$desc.'",`nume`="'.$pmtext.'"WHERE`de`="'.$de.'"')?$div[6].'Nume trib salvat!':$div[7].'Eroare!');
}
echo$div[0];
}
$tot=$conn->query('SELECT`nume`,`desc`,`de`FROM`t2_triburi`WHERE`de`="'.$de.'"')->fetch_row();
if($tot[2]==$de)
{
$form[0]='/triburile2-editeaza-nume-trib" method="post';
$form[1]=0;
$form[2]=$div[1].'Nume trib:<br /><input name="pmtext" value="'.$tot[0].'" />'.$div[0].$div[1].'Descriere:<br /><input name="desc" value="'.$tot[1].'" />'.$div[0];
$form[3]='pmtext::desc';
$form[4]='Salvează';
require'f_form.php';
}
require'f_jos.php';